Bug 248982 - -r option in /etc/sysconfig/syslog breaks rsyslog
-r option in /etc/sysconfig/syslog breaks rsyslog
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rsyslog (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-19 21:46 EDT by Jonathan Kamens
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 11:12:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2007-07-19 21:46:02 EDT
I have "-r" as one of the flags in SYSLOGD_OPTIONS in /etc/sysconfig/syslog. 
When I upgraded to rsyslog as part of a "yum update" against devel, it copied
/etc/sysconfig/syslog to /etc/sysconfig/rsyslog, preserving the "-r" flag, and
thus causing rsyslog to fail to start up properly.

I think the upgrade from sysklog to rsyslog probably needs to be a bit smarter
about stuff in /etc/sysconfig/syslog.
Comment 1 Jonathan Kamens 2007-07-19 21:47:10 EDT
Also, the /etc/sysconfig/rsyslog that ships with rsyslog still claims that -r
does something that it doesn't and still lists -m 0 even though (according to
the man page) it doesn't do anything with rsyslogd.
Comment 2 Jonathan Kamens 2007-07-19 21:54:04 EDT
As best as I can tell, the equivalent of "-r" in sysklogd is "-r 0" in rsyslogd.
Comment 3 Peter Vrabec 2007-07-20 06:53:11 EDT
It should be fixed in rsyslog-1.17.1-1.fc8
Comment 4 Rainer Gerhards 2007-07-20 06:55:24 EDT
I am the rsyslog maintainer.

I will fix the -r option in 1.17.2. The rule, I think, should be that if -r is
NOT followed by a number, that means -r 0, which is compatible with what
sysklogd did. Will check on -m 0.
Comment 5 Rainer Gerhards 2007-07-20 09:11:52 EDT
I have now changed the -r option, its cvs and will be available in 1.17.2 as
said before. The -m option is fully functional, that was a doc error. Its
corrected now.
Comment 6 Peter Vrabec 2007-07-23 11:11:44 EDT
upstream version 1.17.2 was just built

Note You need to log in before you can comment on or make changes to this bug.